MNDeployment # 3188 (Deprecated): Kansas University Biodiversity Institute

Review KUBI EML TemporalCoverage content

2013-10-03 17:15 - Chris Jones

Status: Closed Start date: 2013-10-03

Priority: Normal Due date:  

Assignee: CJ Grady % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

In reviewing some of the EML content for the KUBI MN, the one field that seemed off was the end date in the TemporalCoverage

tree.  For some datasets, the end date has been set to the year 2039.  Ultimately, the end date should reflect that actual end date of

the time range covered by the data.  If the TIF image has values for 2010, the end date should also be 2010.  If the end date was set

to 2039 to indicate that the TIFF image gets updated yearly into the future, a better approach is to call MN.update() on the object and

the EML and ORE documents that describe the TIFF image, and indicate that there is a new version in the system metadata

document for these objects (using the obsoletes/obsoletedBy fields).  In this way, the metadata would reflect the actual coverage for

the object.

See https://bidataone.nhm.ku.edu/mn/v1/object/kubi.lifemapper.sdm.layers.516.eml .

History

#1 - 2013-10-09 17:00 - CJ Grady

- % Done changed from 0 to 50

These are predicted values for a 30 year window so I do not believe that the TemporalCoverage values should change.  I have added 'predicted' as a

keyword for the content to clear up some of the confusion.  I will update the EML along with the changes for #4061

#2 - 2013-10-09 17:00 - CJ Grady

- Status changed from New to In Progress

#3 - 2013-10-09 17:53 - Chris Jones

Makes sense CJ.  I think this ticket can be closed then.

#4 - 2013-10-24 17:24 - CJ Grady

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

#5 - 2013-11-13 18:36 - Bruce Wilson

- Target version changed from 315 to Deploy by end of Y5Q2

#6 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#7 - 2014-02-20 21:21 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Operational
